### Constructor

# RB AutoPlaylistSource new

#### Declaration [src]

    RBSource*
    rb_auto_playlist_source_new (
      RBShell* shell,
      const char* name,
      gboolean local
    )

#### Description [src]

Creates a new automatic playlist source, initially with an empty query.

#### Parameters

`shell`

  Type: `RBShell`

  The `RBShell` instance.

  The data is owned by the caller of the function.

`name`

  Type: `const char*`

  The name of the new playlist.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`local`

  Type: `gboolean`

  If TRUE, the playlist will be considered local.

#### Return value

Type: `RBSource`

The new source.

The data is owned by the called function.